Subject: Re: Failing to get DMA working with MPC5200 (TQM5200) and CompactFlash

From: Wolfram Sang <[email-masked]>
Date: Tue, 30 Mar 2010 02:09:41 +0200

> We tested CF cards for DMA support some time ago, and IIRC this
> included the STK5200. Situation was that only very few CF cards
> actually support DMA (even if they advertise it on the label).

Huh, not nice. Were those consumer cards or also industrial grade cards? Maybe
that is the reason? With the latter, I have never seen this, they always told
the truth, so far. Although we mostly used MWDMA, no UDMA to avoid the
hardware problems.

Regards,

   Wolfram

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |